{
  "billitemp": {
    "_parent": {
      "type": "info"
    },
    "properties": {
      "id": {
        "type": "long"
      },
      "idStockBill": {
        "type": "long"
      },
      "idCorp": {
        "type": "long"
      },
      "corpType": {
        "type": "integer"
      },
      "corpName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "idReferenceBill": {
        "type": "long"
      },
      "referenceBillCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type":  "keyword"
          }
        }
      },
      "referenceBillMoney": {
        "type": "double"
      },
      "referenceBillSummary": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          }
        }
      },
      "workPrintBillCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type":  "keyword"
          }
        }
      },
      "referenceValidateMan": {
        "type": "text",
        "index": "not_analyzed"
      },
      "referenceValidateDateLong": {
        "type": "long"
      },
      "referenceCheckInMan": {
        "type": "text",
        "index": "not_analyzed"
      },
      "referenceCheckInDateLong": {
        "type": "long"
      },
      "currentMoney": {
        "type": "double"
      },
      "createBy": {
        "type": "long"
      },
      "createTimeLong": {
        "type": "long"
      },
      "updateBy": {
        "type": "long"
      },
      "updateTimeLong": {
        "type": "long"
      }
    }
  }
}
